## GstDParamSmooth

GstDParamSmooth — realtime smoothed dynamic parameter

## Synopsis

    #include <libs/control/control.h>

    struct      GstDParamSmooth;
    GstDParam*  gst_dpsmooth_new                (GType type);

## Object Hierarchy

      GObject
       +----GstObject
             +----GstDParam
                   +----GstDParamSmooth

## Properties

      "slope-delta-double"   gdouble              : Read / Write
      "slope-delta-float"    gfloat               : Read / Write
      "slope-time"           gint64               : Read / Write
      "update-period"        gint64               : Read / Write

## Description

## Details

### struct GstDParamSmooth

    struct GstDParamSmooth;

### gst_dpsmooth_new ()

    GstDParam*  gst_dpsmooth_new                (GType type);

Create a new dynamic parameter controller which smoothes control changes.

`type` : | the type that this dparam will store
Returns : | a new instance of GstDParam

## Properties

"`slope-delta-double`" (gdouble : Read / Write) | The amount a double value can change for a given slope_time.
"`slope-delta-float`" (gfloat : Read / Write) | The amount a float value can change for a given slope_time.
"`slope-time`" (gint64 : Read / Write) | The time period to define slope_delta by.
"`update-period`" (gint64 : Read / Write) | Number of nanoseconds between updates.